Loading...
Searching...
No Matches
L4::Typeid::Rpcs_code< OPCODE_TYPE > Struct Template Reference

List of RPCs of an interface using a special opcode type. More...

`#include <l4/sys/capability>`

Inheritance diagram for L4::Typeid::Rpcs_code< OPCODE_TYPE >:
Collaboration diagram for L4::Typeid::Rpcs_code< OPCODE_TYPE >:

## Data Structures

struct | F

## Detailed Description

template<typename OPCODE_TYPE>
struct L4::Typeid::Rpcs_code< OPCODE_TYPE >

List of RPCs of an interface using a special opcode type.

Template Parameters

  OPCODE_TYPE | The data type of the opcode.

List for RPC functions of an interface, using OPCODE_TYPE as data type for the opcode, opcodes starting from 0.

Definition at line 439 of file __typeinfo.h.

The documentation for this struct was generated from the following file:

- l4/sys/__typeinfo.h